MapnikDependencies

Dane Springmeyer edited this page Nov 21, 2011 · 1 revision
Clone this wiki locally

Mapnik Dependencies

Mapnik requires the Boost libraries, International Components for Unicode (ICU), Freetype, Proj4, and a variety of image libraries.

Installing Boost is often new to mapnik users, but the majority of remaining dependencies are more familiar.

If you have previously built or installed other open source graphics or mapping applications it is likely that many of the remaining dependencies are already installed.

Notes on installing Mapnik dependencies are included within each [MapnikInstallation platform specific instructions].

Learn More